Package org.eclipse.mat.parser.index

## Interface IndexWriter.KeyWriter

Enclosing class:
  IndexWriter

    public static interface IndexWriter.KeyWriter

Used to write out a key for an index.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `storeKey​(int index, java.io.Serializable key)` Store the key in a file

### Method Detail

#### storeKey

    void storeKey​(int index,
                  java.io.Serializable key)

Store the key in a file

Parameters:
  `index` - the index
  `key` - the corresponding key to another index